oauth.init();
var usuario = oauth.getConsumerKey();

var parametros = mapperFactory.createMap();
parametros.put("cdUsu", usuario);

var mapper = mapperFactory.createMapper("SenhaSha1");
var senhaSha1 = mapper.selectOne("listarSenhaSha1", parametros);


if(!oauth.checkSignature(senhaSha1, senhaSha1)){
 oauth.breakRequest("acesso negado teste");
}